Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::move_backward_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O >
auto | operator() (I begin, S end_, O out) const -> move_backward_result< I, O > requires bidirectional_iterator< I > &&sentinel_for< S, I > &&bidirectional_iterator< O > &&indirectly_movable< I, O >
template<typename Rng , typename O >
auto | operator() (Rng &&rng, O out) const -> move_backward_result< safe_iterator_t< Rng >, O > requires bidirectional_range< Rng > &&bidirectional_iterator< O > &&indirectly_movable< iterator_t< Rng >, O >